RefreshLinks jobs don't appear to run on edits of template with large number of backlinks
Closed, ResolvedPublic

Description

https://commons.wikimedia.org/wiki/Category:ACC_needing_decomposition should have hundreds of entries due to https://commons.wikimedia.org/w/index.php?title=Template:ACClicense&diff=97981200&oldid=96992960

However that didn't seem to happen. I tried making an additional edit just to make sure, still nothing.

Originally reported at: https://commons.wikimedia.org/wiki/Commons:VP#Bug_report_-_category_modification ( https://commons.wikimedia.org/w/index.php?title=Commons:Village_pump&oldid=98809679#Bug_report_-_category_modification )

(I did tests of templates with only one back link and it worked fine)


Version: 1.22.0
Severity: normal

Details

Reference
bz50135
bzimport set Reference to bz50135.
bzimport added a subscriber: Unknown Object (MLST).
Bawolff created this task.Jun 24 2013, 9:47 PM

Hmm, looks like HTMLCacheUpdate jobs are either backed up or not working as well.

On https://commons.wikimedia.org/wiki/Commons:Deletion_requests/File:Hello--_2013-06-25_21-51.jpg the link to the file is still blue for me despite the file being deleted about 42 hours ago.

aaron added a comment.Sep 17 2013, 5:31 PM

Were the backlinks even recorded to begin with? The actual BackLinkCache functions should be able to handle many backlinks for use by jobs (this used to cause OOMs before some fixes were made to use batching).

aaron added a comment.Nov 5 2013, 6:59 PM

Any other instances?

bawolff: Any other instances?

bawolff: Any other instances?

Not that ive heard of recently, although recently there has been a job queue backup, so hard to know.

Aklapper lowered the priority of this task from "Normal" to "Low".Apr 9 2015, 12:36 PM
aaron closed this task as "Resolved".Jun 3 2015, 8:43 PM
aaron claimed this task.

Add Comment